# Global

##

### Methods

#### create(name, parameters) → {EnforceObject}

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String |
`parameters` | Object |

Source:
  - EnforceArguments.js, line 165

#### named(arguments, parameters)

##### Parameters:

Name | Type | Description
--- | --- | ---
`arguments` | Array |
`parameters` | Object |

Source:
  - EnforceArguments.js, line 183

#### positional(arguments, parameters)

##### Parameters:

Name | Type | Description
--- | --- | ---
`arguments` | Array |
`parameters` | Object |

Source:
  - EnforceArguments.js, line 195

#### throwError_()

EnforceParameters A V8 GAS library which enables the ability for the developer to guarantee that functions receive arguments that match the expected types and values. https://github.com/classroomtechtools/EnforceArguments

Version:
  - 2.5
Author:
  - Adam Morris classroomtechtools.ctt@gmail.com https://classroomtechtools.com
Copyright:
  - May 2020
License:
  - MIT
Source:
  - EnforceArguments.js, line 12